
From: Herbert Poetzl <herbert@13thfloor.at>

This patch cleans up asm-*/pgalloc.h by removing the generous includes
which are obsoleted (duplicated) by including linux/mm.h (and friends)

They are double checked and verified by the PLM cross compiling service
(the patched kernel gives the same warnings/errors as the unpatched)

http://osdl.org/plm-cgi/plm?module=patch_info&patch_id=4313

Signed-off-by: Herbert Ptzl <herbert@13thfloor.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-cris/pgalloc.h    |    1 -
 25-akpm/include/asm-i386/pgalloc.h    |    1 -
 25-akpm/include/asm-ia64/pgalloc.h    |    1 -
 25-akpm/include/asm-m32r/pgalloc.h    |    1 -
 25-akpm/include/asm-parisc/pgalloc.h  |    1 -
 25-akpm/include/asm-ppc64/pgalloc.h   |    3 ---
 25-akpm/include/asm-s390/pgalloc.h    |    1 -
 25-akpm/include/asm-sh/pgalloc.h      |    1 -
 25-akpm/include/asm-sh64/pgalloc.h    |    1 -
 25-akpm/include/asm-sparc64/pgalloc.h |    2 --
 25-akpm/include/asm-x86_64/pgalloc.h  |    1 -
 11 files changed, 14 deletions(-)

diff -puN include/asm-cris/pgalloc.h~include-cleanup-in-pgalloch include/asm-cris/pgalloc.h
--- 25/include/asm-cris/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-cris/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -1,7 +1,6 @@
 #ifndef _CRIS_PGALLOC_H
 #define _CRIS_PGALLOC_H
 
-#include <asm/page.h>
 #include <linux/threads.h>
 #include <linux/mm.h>
 
diff -puN include/asm-i386/pgalloc.h~include-cleanup-in-pgalloch include/asm-i386/pgalloc.h
--- 25/include/asm-i386/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-i386/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -2,7 +2,6 @@
 #define _I386_PGALLOC_H
 
 #include <linux/config.h>
-#include <asm/processor.h>
 #include <asm/fixmap.h>
 #include <linux/threads.h>
 #include <linux/mm.h>		/* for struct page */
diff -puN include/asm-ia64/pgalloc.h~include-cleanup-in-pgalloch include/asm-ia64/pgalloc.h
--- 25/include/asm-ia64/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-ia64/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -21,7 +21,6 @@
 #include <linux/threads.h>
 
 #include <asm/mmu_context.h>
-#include <asm/processor.h>
 
 DECLARE_PER_CPU(unsigned long *, __pgtable_quicklist);
 #define pgtable_quicklist __ia64_per_cpu_var(__pgtable_quicklist)
diff -puN include/asm-m32r/pgalloc.h~include-cleanup-in-pgalloch include/asm-m32r/pgalloc.h
--- 25/include/asm-m32r/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-m32r/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -7,7 +7,6 @@
 #include <linux/mm.h>
 
 #include <asm/io.h>
-#include <asm/pgtable.h>
 
 #define pmd_populate_kernel(mm, pmd, pte)	\
 	set_pmd(pmd, __pmd(_PAGE_TABLE + __pa(pte)))
diff -puN include/asm-parisc/pgalloc.h~include-cleanup-in-pgalloch include/asm-parisc/pgalloc.h
--- 25/include/asm-parisc/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-parisc/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -7,7 +7,6 @@
 #include <asm/processor.h>
 #include <asm/fixmap.h>
 
-#include <asm/pgtable.h>
 #include <asm/cache.h>
 
 /* Allocate the top level pgd (page directory)
diff -puN include/asm-ppc64/pgalloc.h~include-cleanup-in-pgalloch include/asm-ppc64/pgalloc.h
--- 25/include/asm-ppc64/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-ppc64/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -5,9 +5,6 @@
 #include <linux/slab.h>
 #include <linux/cpumask.h>
 #include <linux/percpu.h>
-#include <asm/processor.h>
-#include <asm/tlb.h>
-#include <asm/page.h>
 
 extern kmem_cache_t *zero_cache;
 
diff -puN include/asm-s390/pgalloc.h~include-cleanup-in-pgalloch include/asm-s390/pgalloc.h
--- 25/include/asm-s390/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-s390/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -14,7 +14,6 @@
 #define _S390_PGALLOC_H
 
 #include <linux/config.h>
-#include <asm/processor.h>
 #include <linux/threads.h>
 #include <linux/gfp.h>
 #include <linux/mm.h>
diff -puN include/asm-sh64/pgalloc.h~include-cleanup-in-pgalloch include/asm-sh64/pgalloc.h
--- 25/include/asm-sh64/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-sh64/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -14,7 +14,6 @@
  *
  */
 
-#include <asm/processor.h>
 #include <linux/threads.h>
 #include <linux/mm.h>
 
diff -puN include/asm-sh/pgalloc.h~include-cleanup-in-pgalloch include/asm-sh/pgalloc.h
--- 25/include/asm-sh/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-sh/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -1,7 +1,6 @@
 #ifndef __ASM_SH_PGALLOC_H
 #define __ASM_SH_PGALLOC_H
 
-#include <asm/processor.h>
 #include <linux/threads.h>
 #include <linux/slab.h>
 #include <linux/mm.h>
diff -puN include/asm-sparc64/pgalloc.h~include-cleanup-in-pgalloch include/asm-sparc64/pgalloc.h
--- 25/include/asm-sparc64/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-sparc64/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -7,9 +7,7 @@
 #include <linux/sched.h>
 #include <linux/mm.h>
 
-#include <asm/page.h>
 #include <asm/spitfire.h>
-#include <asm/pgtable.h>
 #include <asm/cpudata.h>
 
 /* Page table allocation/freeing. */
diff -puN include/asm-x86_64/pgalloc.h~include-cleanup-in-pgalloch include/asm-x86_64/pgalloc.h
--- 25/include/asm-x86_64/pgalloc.h~include-cleanup-in-pgalloch	2005-03-18 00:13:31.000000000 -0800
+++ 25-akpm/include/asm-x86_64/pgalloc.h	2005-03-18 00:13:31.000000000 -0800
@@ -1,7 +1,6 @@
 #ifndef _X86_64_PGALLOC_H
 #define _X86_64_PGALLOC_H
 
-#include <asm/processor.h>
 #include <asm/fixmap.h>
 #include <asm/pda.h>
 #include <linux/threads.h>
_
